> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener detalles de un grupo

> Obtener detalles de un grupo específico de IdP en esta Enterprise

Requiere la API key personal de un administrador de Enterprise.

Devuelve información detallada sobre un grupo específico de IdP (Identity Provider, proveedor de identidad), incluidas sus organizaciones asociadas y sus roles.


## OpenAPI

````yaml es/v2-openapi.yaml GET /v2/enterprise/groups/{group_name}
openapi: 3.1.0
info:
  description: API de Devin v2 con Personal API Keys para administradores de Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/groups/{group_name}:
    get:
      tags:
        - groups
      summary: Endpoint de detalles del grupo Enterprise
      operationId: enterprise_group_details_endpoint_v2_enterprise_groups__group_name__get
      parameters:
        - in: path
          name: group_name
          required: true
          schema:
            title: Group Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseGroupResponse'
          description: Respuesta exitosa
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
components:
  schemas:
    EnterpriseGroupResponse:
      properties:
        group_name:
          title: Group Name
          type: string
        org_count:
          title: Org Count
          type: integer
        role_by_org_id:
          additionalProperties:
            type: string
          title: Role By Org Id
          type: object
      required:
        - group_name
        - org_count
        - role_by_org_id
      title: EnterpriseGroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personal (apk_user_*) solo para administradores de Enterprise
      scheme: bearer
      type: http

````